/*
 * LimeSurvey
 * Copyright (C) 2007 The LimeSurvey Project Team / Carsten Schmitz
 * Copyright (C) 2010 GsiLL / Denis Chenu
 * All rights reserved.
 * License: GNU/GPL License v2 or later, see LICENSE.php
 * LimeSurvey is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 * 
 * 
 * Description: Javascript file for templates. Put JS-functions for your template here.
 *  
 * 
 * $Id:$
 */

function navbuttonsJqueryUi(){
    // Just deactivate default jquery-ui button
}

// Replace common alert with jquery-ui dialog
function jalert(text) {
	var $dialog = $('<div></div>')
		.html(text)
		.dialog({
			title: '',
			dialogClass: 'alert',
			buttons: { "Ok": function() { $(this).dialog("close"); } },
			modal: true
		});

	$dialog.dialog('open');
}
// Uncomment this part to replace default alert
/*function alert(text) {
	jalert(text);
}*/



$(document).ready(function(){
	moveLanguageChanger();
})

function moveLanguageChanger(){
	if($("#languageselect-wrapper").text()){
		offset=$("#languageselect-wrapper").offset();
		$("#languageselect-wrapper").css("float",'rigth').css('margin-top','-'+(offset.top)+'px')
	}
}

function handleCompletes(sid, maxCount) {
	// Identify some stuff...
	var surveyRoot = location.pathname.split('index.php')[0];
	var templateName = $('head link[href*="template.css"]').attr('href').replace(/\/template.css/, '').split('/templates/')[1];
	var templatePath = surveyRoot+'upload/templates/'+templateName+'/';
		
	// AJAX call
	$.ajax({
		url: templatePath+'db_query.php', // The PHP file
		async: true,
		cache : false, // No caching in IE
		data: {
			sid: sid // Send the survey ID to the PHP file
		},
		success: function(results){
			// If we're at  or above the maximum completes
			if($.isNumeric(results) && results >= maxCount) {
				// Handle the welcome text elements
				$('.normal-welcome').hide();
				$('.survey-full-welcome').show();
				// Remove all of the buttons
				$('#movenextbtn, #loadallbtn, #clearall, #therearexquestions').remove();
				
				// Redirect here if you want
			}
		},
		error: function(){
			alert('Could not connect!');
		}
	}); 
}


